Lists all endpoints for a given project and location.
HTTP request
GET https://universalledger.googleapis.com/v1/{parent=projects/*/locations/*}/endpoints The URLs use gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
parent |
Required. The parent, which owns this collection of endpoints. Format: |
Query parameters
| Parameters | |
|---|---|
pageSize |
Optional. The maximum number of endpoints to return. The service may return fewer than this value. If unspecified, at most 50 endpoints will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
pageToken |
Optional. A page token, received from a previous |
Request body
The request body must be empty.
Response body
Response message for endpoints.list.
If successful, the response body contains data with the following structure:
| JSON representation |
|---|
{
"endpoints": [
{
object ( |
| Fields | |
|---|---|
endpoints[] |
The endpoints for the given project and location. |
nextPageToken |
A token, which can be sent as |
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.